package it.integry.integrywmsnative.core.rest.model.uds;

import java.util.List;

public class CreateUDSRequestDTO {

    private String codMdep;
    private int segno;
    private String ragSoc;
    private Integer numCollo;
    private String serCollo;
    private int causaleCollo;
    private String codJfas;
    private String codAnag;
    private String codVdes;
    private String rifOrd;
    private boolean orderRequired;
    private List<CreateUDSRequestOrderDTO> orders;

    public String getCodMdep() {
        return codMdep;
    }

    public CreateUDSRequestDTO setCodMdep(String codMdep) {
        this.codMdep = codMdep;
        return this;
    }

    public int getSegno() {
        return segno;
    }

    public CreateUDSRequestDTO setSegno(int segno) {
        this.segno = segno;
        return this;
    }

    public String getRagSoc() {
        return ragSoc;
    }

    public CreateUDSRequestDTO setRagSoc(String ragSoc) {
        this.ragSoc = ragSoc;
        return this;
    }

    public Integer getNumCollo() {
        return numCollo;
    }

    public CreateUDSRequestDTO setNumCollo(Integer numCollo) {
        this.numCollo = numCollo;
        return this;
    }

    public String getSerCollo() {
        return serCollo;
    }

    public CreateUDSRequestDTO setSerCollo(String serCollo) {
        this.serCollo = serCollo;
        return this;
    }

    public int getCausaleCollo() {
        return causaleCollo;
    }

    public CreateUDSRequestDTO setCausaleCollo(int causaleCollo) {
        this.causaleCollo = causaleCollo;
        return this;
    }

    public String getCodJfas() {
        return codJfas;
    }

    public CreateUDSRequestDTO setCodJfas(String codJfas) {
        this.codJfas = codJfas;
        return this;
    }

    public String getCodAnag() {
        return codAnag;
    }

    public CreateUDSRequestDTO setCodAnag(String codAnag) {
        this.codAnag = codAnag;
        return this;
    }

    public String getCodVdes() {
        return codVdes;
    }

    public CreateUDSRequestDTO setCodVdes(String codVdes) {
        this.codVdes = codVdes;
        return this;
    }

    public String getRifOrd() {
        return rifOrd;
    }

    public CreateUDSRequestDTO setRifOrd(String rifOrd) {
        this.rifOrd = rifOrd;
        return this;
    }

    public boolean isOrderRequired() {
        return orderRequired;
    }

    public CreateUDSRequestDTO setOrderRequired(boolean orderRequired) {
        this.orderRequired = orderRequired;
        return this;
    }

    public List<CreateUDSRequestOrderDTO> getOrders() {
        return orders;
    }

    public CreateUDSRequestDTO setOrders(List<CreateUDSRequestOrderDTO> orders) {
        this.orders = orders;
        return this;
    }



    public static class Causale {
        public static final int SCARICO = 0;
        public static final int POSIZIONAMENTO = 1;
    }
}
